Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class PersistentFieldBundleImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.PersistentFieldBundleImpl

All Implemented Interfaces:
  PersistentFieldBundle

    public class PersistentFieldBundleImpl

extends java.lang.Object
implements PersistentFieldBundle

Constructor Summary
`PersistentFieldBundleImpl(java.util.Collection<PersistentFieldChange> changes)`

Method Summary
`boolean` | `containsValue(java.lang.String componentId, java.lang.String fieldName)` Checks to see if a persistent value has been stored for the indicated component and field.
`java.lang.Object` | `getValue(java.lang.String componentId, java.lang.String fieldName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistentFieldBundleImpl

    public PersistentFieldBundleImpl(java.util.Collection<PersistentFieldChange> changes)

Method Detail

### containsValue

    public boolean containsValue(java.lang.String componentId,
                                 java.lang.String fieldName)

  Description copied from interface: `PersistentFieldBundle`
  Checks to see if a persistent value has been stored for the indicated component and field. TODO: This method can probably be removed; it doesn't look like its used (instead, we if check getValue() returns null).

  Specified by:
    `containsValue` in interface `PersistentFieldBundle`
  Parameters:
    `componentId` - the nested id of the component (within the page), may be null or blank for the root component of the page
    `fieldName` - the name of the field whose value was persisted
  Returns:
    true if a change has been stored

### getValue

    public java.lang.Object getValue(java.lang.String componentId,
                                     java.lang.String fieldName)

  Specified by:
    `getValue` in interface `PersistentFieldBundle`
  Parameters:
    `componentId` - the nested if of the component (within the page), may be null or blank for the root component of the page
    `fieldName` - the name of the field whose value was persisted
  Returns:
    the persisted value, possibly null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.